#!/bin/sh

# PROVIDE: binlsrv
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: shutdown

# Define these variables in one of these files:
#	/etc/rc.conf
#	/etc/rc.conf.local
#	/etc/rc.conf.d/binlsrv
#
# binlsrv_enable="YES"
# binlsrv_infdir="/path/to/dir_with_inf_files"

. /etc/rc.subr

name="binlsrv"
rcvar=`set_rcvar`
command="/usr/local/bin/python"
command_args="/usr/local/sbin/${name}.py -d"
required_dirs="${binlsrv_infdir}"
pidfile="/var/run/binlsrv.pid"
start_precmd="binlsrv_start_precmd"
stop_postcmd="binlsrv_stop_postcmd"

binlsrv_start_precmd()
{
	/usr/local/sbin/infparser.py ${binlsrv_infdir}
}

binlsrv_stop_postcmd()
{
	rm -f ${pidfile}
}

load_rc_config "$name"
: ${binlsrv_enable="NO"}
: ${binlsrv_infdir=""}

run_rc_command "$1"
